Package org.eclipse.m2m.atl.adt.ui.outline

# Class AtlAction

java.lang.Object
org.eclipse.m2m.atl.adt.ui.outline.AtlAction

Direct Known Subclasses:
  `RenameAction`

public abstract class AtlAction extends Object
This class should be extended.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.jface.viewers.ISelection`
`theSelection`

## Constructor Summary

Constructors
Constructor
Description
`AtlAction(org.eclipse.jface.viewers.ISelection its)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getElement()`
Returns the element to rename.
`abstract void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### theSelection

protected org.eclipse.jface.viewers.ISelection theSelection

## Constructor Details

### AtlAction

public AtlAction(org.eclipse.jface.viewers.ISelection its)

## Method Details

### run

public abstract void run()

### getElement

public Object getElement()
Returns the element to rename.

Returns:
  the element to rename